org.keycloak.models.entities

## Class ClientTemplateEntity

- java.lang.Object
- - org.keycloak.models.entities.AbstractIdentifiableEntity
  - - org.keycloak.models.entities.ClientTemplateEntity

- Direct Known Subclasses:
    MongoClientTemplateEntity

      public class ClientTemplateEntity
      extends AbstractIdentifiableEntity

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,String>` | `attributes`
    `protected boolean` | `bearerOnly`
    `protected boolean` | `consentRequired`
    `protected String` | `description`
    `protected boolean` | `directAccessGrantsEnabled`
    `protected boolean` | `frontchannelLogout`
    `protected boolean` | `fullScopeAllowed`
    `protected boolean` | `implicitFlowEnabled`
    `protected String` | `name`
    `protected String` | `protocol`
    `protected List<ProtocolMapperEntity>` | `protocolMappers`
    `protected boolean` | `publicClient`
    `protected String` | `realmId`
    `protected List<String>` | `scopeIds`
    `protected boolean` | `serviceAccountsEnabled`
    `protected boolean` | `standardFlowEnabled`

    - ### Fields inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientTemplateEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getAttributes()`
    `String` | `getDescription()`
    `String` | `getName()`
    `String` | `getProtocol()`
    `List<ProtocolMapperEntity>` | `getProtocolMappers()`
    `String` | `getRealmId()`
    `List<String>` | `getScopeIds()`
    `boolean` | `isBearerOnly()`
    `boolean` | `isConsentRequired()`
    `boolean` | `isDirectAccessGrantsEnabled()`
    `boolean` | `isFrontchannelLogout()`
    `boolean` | `isFullScopeAllowed()`
    `boolean` | `isImplicitFlowEnabled()`
    `boolean` | `isPublicClient()`
    `boolean` | `isServiceAccountsEnabled()`
    `boolean` | `isStandardFlowEnabled()`
    `void` | `setAttributes(Map<String,String> attributes)`
    `void` | `setBearerOnly(boolean bearerOnly)`
    `void` | `setConsentRequired(boolean consentRequired)`
    `void` | `setDescription(String description)`
    `void` | `setDirectAccessGrantsEnabled(boolean directAccessGrantsEnabled)`
    `void` | `setFrontchannelLogout(boolean frontchannelLogout)`
    `void` | `setFullScopeAllowed(boolean fullScopeAllowed)`
    `void` | `setImplicitFlowEnabled(boolean implicitFlowEnabled)`
    `void` | `setName(String name)`
    `void` | `setProtocol(String protocol)`
    `void` | `setProtocolMappers(List<ProtocolMapperEntity> protocolMappers)`
    `void` | `setPublicClient(boolean publicClient)`
    `void` | `setRealmId(String realmId)`
    `void` | `setScopeIds(List<String> scopeIds)`
    `void` | `setServiceAccountsEnabled(boolean serviceAccountsEnabled)`
    `void` | `setStandardFlowEnabled(boolean standardFlowEnabled)`

    - ### Methods inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `equals, getId, hashCode, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected String name

    - #### description

          protected String description

    - #### realmId

          protected String realmId

    - #### protocol

          protected String protocol

    - #### fullScopeAllowed

          protected boolean fullScopeAllowed

    - #### bearerOnly

          protected boolean bearerOnly

    - #### consentRequired

          protected boolean consentRequired

    - #### standardFlowEnabled

          protected boolean standardFlowEnabled

    - #### implicitFlowEnabled

          protected boolean implicitFlowEnabled

    - #### directAccessGrantsEnabled

          protected boolean directAccessGrantsEnabled

    - #### serviceAccountsEnabled

          protected boolean serviceAccountsEnabled

    - #### publicClient

          protected boolean publicClient

    - #### frontchannelLogout

          protected boolean frontchannelLogout

    - #### scopeIds

          protected List<String> scopeIds

    - #### protocolMappers

          protected List<ProtocolMapperEntity> protocolMappers

    - #### attributes

          protected Map<String,String> attributes

  - ### Constructor Detail

    - #### ClientTemplateEntity

          public ClientTemplateEntity()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### getProtocolMappers

          public List<ProtocolMapperEntity> getProtocolMappers()

    - #### setProtocolMappers

          public void setProtocolMappers(List<ProtocolMapperEntity> protocolMappers)

    - #### getProtocol

          public String getProtocol()

    - #### setProtocol

          public void setProtocol(String protocol)

    - #### isFullScopeAllowed

          public boolean isFullScopeAllowed()

    - #### setFullScopeAllowed

          public void setFullScopeAllowed(boolean fullScopeAllowed)

    - #### getScopeIds

          public List<String> getScopeIds()

    - #### setScopeIds

          public void setScopeIds(List<String> scopeIds)

    - #### isBearerOnly

          public boolean isBearerOnly()

    - #### setBearerOnly

          public void setBearerOnly(boolean bearerOnly)

    - #### isConsentRequired

          public boolean isConsentRequired()

    - #### setConsentRequired

          public void setConsentRequired(boolean consentRequired)

    - #### isStandardFlowEnabled

          public boolean isStandardFlowEnabled()

    - #### setStandardFlowEnabled

          public void setStandardFlowEnabled(boolean standardFlowEnabled)

    - #### isImplicitFlowEnabled

          public boolean isImplicitFlowEnabled()

    - #### setImplicitFlowEnabled

          public void setImplicitFlowEnabled(boolean implicitFlowEnabled)

    - #### isDirectAccessGrantsEnabled

          public boolean isDirectAccessGrantsEnabled()

    - #### setDirectAccessGrantsEnabled

          public void setDirectAccessGrantsEnabled(boolean directAccessGrantsEnabled)

    - #### isServiceAccountsEnabled

          public boolean isServiceAccountsEnabled()

    - #### setServiceAccountsEnabled

          public void setServiceAccountsEnabled(boolean serviceAccountsEnabled)

    - #### isPublicClient

          public boolean isPublicClient()

    - #### setPublicClient

          public void setPublicClient(boolean publicClient)

    - #### getAttributes

          public Map<String,String> getAttributes()

    - #### setAttributes

          public void setAttributes(Map<String,String> attributes)

    - #### isFrontchannelLogout

          public boolean isFrontchannelLogout()

    - #### setFrontchannelLogout

          public void setFrontchannelLogout(boolean frontchannelLogout)

Copyright © 2016 JBoss by Red Hat. All rights reserved.